Debian Bug report logs - #665671
libgconf-bridge: FTBFS with glib 2.32 due to -Werror=deprecated-declarations

version graph

Package: src:libgconf-bridge; Maintainer for src:libgconf-bridge is Ross Burton <ross@debian.org>;

Reported by: biebl@debian.org

Date: Sun, 25 Mar 2012 03:15:10 UTC

Severity: serious

Tags: patch

Found in version libgconf-bridge/0.1-2.1

Fixed in version libgconf-bridge/0.1-2.2

Done: Willi Mann <willi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to Ross Burton <ross@debian.org>:
Bug#665671; Package src:libgconf-bridge. (Sun, 25 Mar 2012 03:15:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to biebl@debian.org:
Extra info received and forwarded to maintainer. Copy sent to Ross Burton <ross@debian.org>. (Sun, 25 Mar 2012 03:15:13 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: biebl@debian.org
To: maintonly@bugs.debian.org
Subject: libgconf-bridge: FTBFS with glib 2.32 due to -Werror=deprecated-declarations
Date: Sun, 25 Mar 2012 05:10:21 +0200
Source: libgconf-bridge
Version: 0.1-2.1
Severity: important
User: pkg-gnome-maintainers@lists.alioth.debian.org
Usertags: glib-2.32 ftbfs

Hi,

in glib 2.32 several functions have have been marked as deprecated.

Development releases of 2.32 are available in experimental.
During a test-rebuild libgconf-bridge failed to build with the new glib [1]
due to the use of -Werror=deprecated-declarations

The list of deprecated symbols can be found at [2].

Please update libgconf-bridge at your earliest convenience, so once we move
the glib version from experimental to unstable, your package will remain
buildable.

Thanks!

Michael,
on behalf of the Debian GNOME team.

[1] http://people.debian.org/~biebl/glib-deprecated/libgconf-bridge_0.1-2.1.log
[2] http://developer.gnome.org/glib/2.32/api-index-deprecated.html





Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#665671; Package src:libgconf-bridge. (Fri, 30 Mar 2012 08:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Fri, 30 Mar 2012 08:18:07 GMT) Full text and rfc822 format available.

Message #10 received at 665671@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 665677@bugs.debian.org, 665679@bugs.debian.org, 665666@bugs.debian.org, 665670@bugs.debian.org, 665671@bugs.debian.org, 665672@bugs.debian.org, 665675@bugs.debian.org, 665676@bugs.debian.org, 665678@bugs.debian.org, 665673@bugs.debian.org, control@bugs.debian.org
Subject: glib 2.32 uploaded to unstable
Date: Fri, 30 Mar 2012 10:15:37 +0200
[Message part 1 (text/plain, inline)]
severity 665677 serious
severity 665679 serious
severity 665666 serious
severity 665670 serious
severity 665671 serious
severity 665672 serious
severity 665675 serious
severity 665676 serious
severity 665678 serious
severity 665673 serious
thanks

glib 2.32.0 has been uploaded to unstable.
Bumping the severity accordingly.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 30 Mar 2012 08:18:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#665671; Package src:libgconf-bridge. (Sat, 12 May 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Green <peter.green@postgrad.manchester.ac.uk>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Sat, 12 May 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 665671@bugs.debian.org (full text, mbox):

From: Peter Green <peter.green@postgrad.manchester.ac.uk>
To: "665671@bugs.debian.org" <665671@bugs.debian.org>
Cc: "control@bugs.debian.org" <control@bugs.debian.org>
Subject: libgconf-bridge: FTBFS with glib 2.32 due to -Werror=deprecated-declarations
Date: Sat, 12 May 2012 16:19:52 +0000
[Message part 1 (text/plain, inline)]
Tags 665671 +patch
thanks

The attatched patch disables -Werror to make the package build.
[Message part 2 (text/html, inline)]
[libgconf-bridge.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Peter Green <peter.green@postgrad.manchester.ac.uk> to control@bugs.debian.org. (Sat, 12 May 2012 16:21:04 GMT) Full text and rfc822 format available.

Reply sent to Willi Mann <willi@debian.org>:
You have taken responsibility. (Fri, 15 Jun 2012 17:09:05 GMT) Full text and rfc822 format available.

Notification sent to biebl@debian.org:
Bug acknowledged by developer. (Fri, 15 Jun 2012 17:09:05 GMT) Full text and rfc822 format available.

Message #24 received at 665671-close@bugs.debian.org (full text, mbox):

From: Willi Mann <willi@debian.org>
To: 665671-close@bugs.debian.org
Subject: Bug#665671: fixed in libgconf-bridge 0.1-2.2
Date: Fri, 15 Jun 2012 17:05:08 +0000
Source: libgconf-bridge
Source-Version: 0.1-2.2

We believe that the bug you reported is fixed in the latest version of
libgconf-bridge, which is due to be installed in the Debian FTP archive:

libgconf-bridge-dev_0.1-2.2_amd64.deb
  to main/libg/libgconf-bridge/libgconf-bridge-dev_0.1-2.2_amd64.deb
libgconf-bridge0_0.1-2.2_amd64.deb
  to main/libg/libgconf-bridge/libgconf-bridge0_0.1-2.2_amd64.deb
libgconf-bridge_0.1-2.2.diff.gz
  to main/libg/libgconf-bridge/libgconf-bridge_0.1-2.2.diff.gz
libgconf-bridge_0.1-2.2.dsc
  to main/libg/libgconf-bridge/libgconf-bridge_0.1-2.2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665671@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Willi Mann <willi@debian.org> (supplier of updated libgconf-bridge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 15 Jun 2012 18:14:51 +0200
Source: libgconf-bridge
Binary: libgconf-bridge0 libgconf-bridge-dev
Architecture: source amd64
Version: 0.1-2.2
Distribution: unstable
Urgency: low
Maintainer: Ross Burton <ross@debian.org>
Changed-By: Willi Mann <willi@debian.org>
Description: 
 libgconf-bridge-dev - Bind GObject properties to GConf keys (development files)
 libgconf-bridge0 - Bind GObject properties to GConf keys
Closes: 665671
Changes: 
 libgconf-bridge (0.1-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * FTBFS with glib 2.32.0 (closes: 665671)
     - patch made by Peter Green <peter.green@postgrad.manchester.ac.uk>
Checksums-Sha1: 
 e8a1218647505a23b20815205498c7be0a95aeeb 1818 libgconf-bridge_0.1-2.2.dsc
 6c23e4657c8dc60afa5770969d77bb11a1aab860 2688 libgconf-bridge_0.1-2.2.diff.gz
 14d349cd5603a53d4d781deed5019a75800d66fb 12586 libgconf-bridge0_0.1-2.2_amd64.deb
 281147fb4e27165a042f228a983d628cf6fe6229 12306 libgconf-bridge-dev_0.1-2.2_amd64.deb
Checksums-Sha256: 
 aac66a431076c313f25fd39d2e934af125db8a287de5d1b26d32751f5623229d 1818 libgconf-bridge_0.1-2.2.dsc
 8b3f9e3cf1f8dd50d160e2d8ae36dcef88cf7790288e3a5a2f21bd7608b6ca0d 2688 libgconf-bridge_0.1-2.2.diff.gz
 628f2bb9d0f3f4c437030e2c1fff9eb8190fddab31ce7a61bf011be8826741d8 12586 libgconf-bridge0_0.1-2.2_amd64.deb
 0ae7885b038e1de0e53dfc1a45e6f274400d85eb328e9f7a92963d0e5a147ec8 12306 libgconf-bridge-dev_0.1-2.2_amd64.deb
Files: 
 6a62baed08d94f574a09fd87771cab96 1818 libs optional libgconf-bridge_0.1-2.2.dsc
 57c6a236c3e3b6a66b3d4fae5d50eae7 2688 libs optional libgconf-bridge_0.1-2.2.diff.gz
 85233156cac03be66c4528f37196bda9 12586 libs optional libgconf-bridge0_0.1-2.2_amd64.deb
 8cb92b0004d84e102cf9472a6248c8ec 12306 libdevel optional libgconf-bridge-dev_0.1-2.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP22buAAoJEIy+IZx0V22BiFkQALVjMW7zKnmWVPlGmBRgs9Yh
NIGlM0naLc1vk8U6EuTPDEnunP2f+1pDK9Z/eZjHlWM4xfkJBNDD8EW11ksE2O9T
VklVvDqqYAyepcMRHBQ6M7MtEnUJSZXta6l7of2IqzreZkeoca2qzKVNbf9ECTWU
PoRgmRXbxz6rgHhO153zdTJ29kyhS3vE8wJgIxK0m5OA0cJAlkpmF511wXD1oDrh
mISQXPc5y9LhsP4237/kXQ0LO2sYCBqbD5ADj8p7hSaKeUVH8py7szzqvJN2WMYi
aX5+zxwbJkr0Bq+kr8VXztyVmu7V+Ty03hapfnjUYB7JidE4q8XWyXk2L50EMQ9I
yO8+iUz3y3xdhm1ynsjuWu/8uDS7sAh00JJd2IiAHRnibn7oVVp8ehFQDMtN/PtV
mDygj/hTO9+5HmT34u+og4LT+eUbsE7PHDOdNsoNTzdnAzRoaQPDTng6sdZ43qXf
D0noK2qlsQA/38HQKOpK4uIUBiSjwSwARxW4gFWBCtvheUwV6gnqbvWoDpmTk3w6
d9SFplzttHaR8npaXkXPP+evs/Q22ToGEI6spNadDuI+q4mt+7C5L6CvdJyaB9fI
vLfXvy53N7Mm7P9/b295Iy2onN9CAGSPLFSoT2HBWqiP5HfZGmG67x1KH8LN2U77
6Wz7ebCKjxGdQuXR9wHt
=O5M5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jul 2012 07:31:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:39:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.